petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCCompositeGetType

Gets the type of composite preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetType(PC pc,PCCompositeType *type)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL

### Options Database Key

-pc_composite_type <type: one of multiplicative, additive, special> -Sets composite preconditioner type

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

Level:Developer
Location:src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages